> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorpix.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv2tensorshotsreal estate projects jobsimage to image

> Run the post operation for this API flow.

Run the main steps in order and keep side effects in this scope.

Args:
    request: Input value used by this function.
    args: Input value used by this function.
    kwargs: Input value used by this function.

Returns:
    Result value returned to the caller.



## OpenAPI

````yaml https://backend.tensorpix.ai/api/schema/ post /api/v2/tensorshots/real-estate-projects/{project_real_estate_pk}/jobs/image-to-image/
openapi: 3.1.0
info:
  title: TensorPix OpenAPI Documentation
  version: 1.1.0
  termsOfService: https://tensorpix.ai/terms-conditions
  contact:
    name: TensorPix Dev Team
    email: devs@tensorpix.ai
servers:
  - url: https://backend.tensorpix.ai
security: []
externalDocs:
  url: https://docs.tensorpix.ai
  description: Check out the full TensorPix documentation.
paths:
  /api/v2/tensorshots/real-estate-projects/{project_real_estate_pk}/jobs/image-to-image/:
    post:
      tags:
        - v2
      description: |-
        Run the post operation for this API flow.

        Run the main steps in order and keep side effects in this scope.

        Args:
            request: Input value used by this function.
            args: Input value used by this function.
            kwargs: Input value used by this function.

        Returns:
            Result value returned to the caller.
      operationId: v2_tensorshots_real_estate_projects_jobs_image_to_image_create
      parameters:
        - in: path
          name: project_real_estate_pk
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRealEstateImageToImageJob'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/CreateRealEstateImageToImageJob'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CreateRealEstateImageToImageJob'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateRealEstateImageToImageJob'
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: ''
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedError'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
          description: ''
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
          description: ''
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    CreateRealEstateImageToImageJob:
      type: object
      description: Create one real-estate image edit from the shot's current image.
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: Datetime when the record was created.
        error_message:
          type: string
          readOnly: true
          description: Error details if job failed.
        status:
          allOf:
            - $ref: '#/components/schemas/TensorshotsJobStatusEnum'
          readOnly: true
          description: |-
            Current job status.

            * `queued` - Queued
            * `processing` - Processing
            * `expired` - Expired
            * `cancelled` - Cancelled
            * `completed` - Completed
            * `failed` - Failed
        description:
          type: string
          readOnly: true
          description: Human-readable job description.
        started_at:
          type: string
          format: date-time
          readOnly: true
          description: When job processing started.
        finished_at:
          type:
            - string
            - 'null'
          format: date-time
          readOnly: true
          description: When the job processing successfully finished.
        processing_time_seconds:
          type: number
          format: double
          description: |-
            Calculate job processing time in seconds.
            If the job is still processing, calculate time since started.
            If the job was cancelled, deleted, calculate time until that point.
            if the job is completed, calculate time until finished.
          readOnly: true
        cost_credits:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
          readOnly: true
          description: Job cost in 🪙 Credits.
        prompt:
          type: string
          description: Prompt text to generate from.
          maxLength: 80000
        model_name:
          $ref: '#/components/schemas/ModelNameFd8Enum'
        model_config:
          description: >-
            Model-specific configuration parameters (temperature, style,
            quality, etc.).
        style_settings:
          type: array
          items:
            type: string
            format: uuid
          description: >-
            Style presets applied to this job (camera, lighting, generation,
            etc.)
        num_requested_images:
          type: integer
          maximum: 32767
          minimum: 0
          description: Number of images to generate (1-10).
        reference_images_ids:
          type: array
          items: {}
          readOnly: true
        real_estate_shot:
          type:
            - string
            - 'null'
          format: uuid
      required:
        - cost_credits
        - created_at
        - description
        - error_message
        - finished_at
        - id
        - model_name
        - processing_time_seconds
        - prompt
        - reference_images_ids
        - started_at
        - status
    ValidationError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        non_field_errors:
          type: array
          items:
            type: string
      required:
        - errors
        - non_field_errors
    UnauthenticatedError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    ForbiddenError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    NotFoundError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    RateLimitError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    TensorshotsJobStatusEnum:
      enum:
        - queued
        - processing
        - expired
        - cancelled
        - completed
        - failed
      type: string
      description: |-
        * `queued` - Queued
        * `processing` - Processing
        * `expired` - Expired
        * `cancelled` - Cancelled
        * `completed` - Completed
        * `failed` - Failed
    ModelNameFd8Enum:
      enum:
        - zephyr_i2i
        - gemini_3_1_flash_i2i
        - gpt_image_2_i2i
        - grok_imagine_image_i2i
        - grok_imagine_image_quality_i2i
        - nebula_i2i
        - nebula_nsfw_i2i
        - seedream_5_0_pro_i2i
      type: string
      description: |-
        * `zephyr_i2i` - zephyr_i2i
        * `gemini_3_1_flash_i2i` - gemini_3_1_flash_i2i
        * `gpt_image_2_i2i` - gpt_image_2_i2i
        * `grok_imagine_image_i2i` - grok_imagine_image_i2i
        * `grok_imagine_image_quality_i2i` - grok_imagine_image_quality_i2i
        * `nebula_i2i` - nebula_i2i
        * `nebula_nsfw_i2i` - nebula_nsfw_i2i
        * `seedream_5_0_pro_i2i` - seedream_5_0_pro_i2i
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````